Skip to content

Update origination fee

Request

This endpoint allows lenders to change the origination fee amount. The system will update the origination fee amount and replay the loan from the activation date.

Security
oauth2(Required scopes: loan:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
syncboolean

Make the process synchronous.

Default:false
Bodyapplication/jsonrequired
caseIdstring

An identifier for an existing case.

feeAmountnumber

The updated amount of the origination fee. The new amount cannot be higher than the amount passed on loan creation in atOrigination.

PUT
/people/{personId}/loans/{loanId}/fees/origination
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/fees/origination?sync=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "caseId": "string",
    "feeAmount": 0
  }'

Responses

Success